| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Classes | Namespaces
VectorView.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/scal/meta/scalar_type.hpp>`
`#include <stan/math/prim/mat/meta/is_vector_like.hpp>`
`#include <stan/math/prim/scal/meta/is_vector_like.hpp>`
`#include <stdexcept>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | stan::VectorView< T, is_array, throw_if_accessed >
| VectorView is a template metaprogram that takes its argument and allows it to be used like a vector. More...
class | stan::VectorView< const T, is_array, throw_if_accessed >
| VectorView that has const correctness. More...
class | stan::VectorView< const double, false, false >

## Namespaces
| stan

[ Stan Home Page ] © 2011–2015, Stan Development Team.